Class | DB2::Statement
In: | lib/active_record/vendor/db2.rb
Parent: | Object

### Methods

adjust_content bind bindParms columns exec_direct execute fetch fetch_all fetch_as_hash get_col_desc get_cursor_name indexes new num_result_cols prepare row_count set_cursor_name tables tokens

### Included Modules

DB2Util

### Public Class methods

new(connection)

### Public Instance methods

adjust_content(c)
bind(sql, args)
bindParms(parms)
columns(table_name, schema_name = '%')
exec_direct(sql)
execute(*parms)
fetch()
fetch_all() {|row| ...}
fetch_as_hash()
get_col_desc()
get_cursor_name()
indexes(table_name, schema_name = '')
num_result_cols()
prepare(sql)
row_count()
set_cursor_name(name)
tables(schema_name = '%')
tokens(sql)

     Break the sql string into parts.

This is NOT a full lexer for SQL. It just breaks up the SQL string enough so that question marks, double question marks and quoted strings are separated. This is used when binding arguments to "?" in the SQL string. Note: comments are not handled.

[Validate]